Packages - Bug #2253

poppler (0.75.0-1) breaks dependency for texlive-bin which have older poppler dependency[x86_64]
and [armv7h].

2019-03-26 06:10 PM - pavelsayekat

Status: fixed % Done: 100%
Priority: bug

Assignee: oaken-source

Category:

Description

$ sudo pacman -Syu
Synchronizing package databases...
libre-testing is up to date
libre is up to date
core is up to date
extra is up to date
community is up to date
pcr is up to date
libre-multilib is up to date
multilib is up to date
pcr-multilib is up to date
Starting full system upgrade...
resolving dependencies...
looking for conflicting packages...
error: failed to prepare transaction (could not satisfy dependencies)
installing poppler (0.75.0-1) breaks dependency 'poppler=0.74.0' required by cups-filters
installing poppler (0.75.0-1) breaks dependency 'poppler=0.74.0-1' required by texlive-bin

$ uname -srvmo
Linux 5.0.2-gnu-1 #1 SMP PREEMPT Sun Mar 17 01:22:30 UTC 2019 x86_64 GNU/Linux

History

#1 - 2019-03-27 11:58 AM - freemor

rebuilding cups-filters

#2 - 2019-03-27 12:00 PM - bill-auger
- Assignee set to freemor
- Status changed from unconfirmed to in progress

- Description updated

#3 - 2019-03-27 01:01 PM - freemor

cups-filters rebuilt and pushed, that should fix most folks.

I'll tackle texlive-bin a bit later (IRL stuff calling) if no one beats me to it and also track down the other usual poppler breakage suspects.

#4 - 2019-03-27 04:06 PM - freemor

Starting texlive-bin rebuilds

#5 - 2019-03-27 04:38 PM - freemor
- Assignee deleted (freemor)
- Status changed from in progress to confirmed

- Subject changed from poppler (0.75.0-1) breaks dependency for cups-filters and texlive-bin which have older poppler dependency[x86_64]. to
poppler (0.75.0-1) breaks dependency for texlive-bin which have older poppler dependency[x86_64] and [armv7h].

....and it's failing to build
...and | haven't the time today to dig in...
.. S0 amending the BR and unassinging me for the time being.
#6 - 2019-03-29 09:58 AM - oaken-source

- Assignee set to oaken-source

#7 - 2019-03-29 09:58 AM - oaken-source
- % Done changed from 0 to 100

- Status changed from confirmed to fixed

resolved in latest texlive-bin
